extends KinematicBody2D

var speed = 300
var gravity = 500
var jump_height = 350
var is_jumping = false

var velocity = Vector2.ZERO

func _physics_process(delta):
	var x = Input.get_action_strength("ui_right") - Input.get_action_strength("ui_left")
	velocity.x = x * speed
	velocity.y += gravity * delta
	
	if is_on_floor() and is_jumping:
		is_jumping = false
	
	if is_on_floor() and Input.is_action_just_pressed("ui_up"):
		jump()
	
	if is_jumping:
		velocity = move_and_slide(velocity, Vector2.UP)
	else :
		velocity = move_and_slide_with_snap(velocity, Vector2.DOWN * 16, Vector2.UP)
	
func jump():
	is_jumping = true
	velocity.y = -jump_height
